Package org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositorySyncInfo

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Long>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositorySyncInfo

- All Implemented Interfaces:
    `ISvnOperationOptionsProvider`

      public class SvnRepositorySyncInfo
      extends SvnOperation<java.lang.Long>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnRepositorySyncInfo​(SvnOperationFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SVNURL` | `getToUrl()` |
    `void` | `setToUrl​(SVNURL toUrl)` |

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositorySyncInfo

          public SvnRepositorySyncInfo​(SvnOperationFactory factory)

  - ### Method Detail

    - #### getToUrl

          public SVNURL getToUrl()

    - #### setToUrl

          public void setToUrl​(SVNURL toUrl)